agenda_page:
  action: 'display'
  conditions:
    - function: organizationHasAnyModule
      parameters:
        - 'Events'
        - 'Courses'
        - 'Examens'
        - 'EducationalProjects'
    - function: accessHasAnyRoleAbility
      parameters:
        - { action: 'read', subject: 'events' }
        - { action: 'read', subject: 'examens' }
        - { action: 'read', subject: 'educationalprojects' }
        - { action: 'read', subject: 'courses' }

attendance_page:
  action: 'display'
  conditions:
    - { function: organizationHasAnyModule, parameters: ['Attendances'] }
    - {
        function: accessHasAnyRoleAbility,
        parameters: [{ action: 'read', subject: 'attendances' }],
      }

course_page:
  action: 'display'
  conditions:
    - { function: organizationHasAnyModule, parameters: ['Courses'] }
    - {
        function: accessHasAnyRoleAbility,
        parameters: [{ action: 'read', subject: 'courses' }],
      }

exam_page:
  action: 'display'
  conditions:
    - { function: organizationHasAnyModule, parameters: ['Examens'] }
    - {
        function: accessHasAnyRoleAbility,
        parameters: [{ action: 'read', subject: 'examens' }],
      }

pedagogics_project_page:
  action: 'display'
  conditions:
    - {
        function: organizationHasAnyModule,
        parameters: ['EducationalProjects'],
      }
    - {
        function: accessHasAnyRoleAbility,
        parameters: [{ action: 'read', subject: 'educationalprojects' }],
      }
